Subject: bug#38522: 27.0.50; tab-line faces don't update to reflect selected tab

From: Juri Linkov <[email-masked]>
Date: Mon, 09 Dec 2019 00:09:49 +0200

> I configured the tab bar and tab line faces (tab-bar-tab and
> tab-line-tab-current) to show the currently selected tab with yellow text.
>
> Although the tab __bar__ faces do update properly to highlight the
> selected tab, the tab __line__ faces don't update; no matter which is
> clicked, the first tab that had been highlighted stays highlighted (or
> sometimes none of them are highlighted.)

Thanks for the report.  This is fixed now in master.

> Also, the close buttons on tab line tabs do not work; instead it just
> switches to that tab's buffer.

Hmm, the close buttons worked before the fix as well as after.
Could you please check again.